% Schmidt, J.O.; Miller, M.L.; Klotz, S.A. Seasonal Flight Pattern of the Kissing Bugs Triatoma rubida and
%T. protracta (Hemiptera: Reduviidae: Triatominae) in Southern Arizona, United States. Insects 2022, 13, 265.
%https://doi.org/10.3390/insects13030265
%disperal happens between May and July
function alpha= FDispersal(t,dt) 

t1 = mod(t,1/dt); % annual cycle
tw = (1/dt)/52;% one week equivalent
A= 52/13; % Value A

X = [1 0;...
    (4*4+1)*tw 0;...
    (4*4+2)*tw A;...
    (7*4+2)*tw A;...
    (7*4+3)*tw 0;...
    (12*4+4)*tw 0];

     min_t = X(1,1);
     n_table = length(X(:,1) );
     max_t = X(n_table,1);
     t_val = max( min_t, min( t1, max_t) );

     alpha = interp1(X(:,1), X(:,2), t_val); % Linear interpolation


end