function alpha= FGamma(t,dt,epsilon) % a is the psi function

t1 = mod(t,1/dt); % annual cycle
tw = (1/dt)/52;% one week equivalent
A= 52/(13+20*epsilon); % Value A

X = [1 0;...
    (2*4+1)*tw 0;...
    (2*4+2)*tw A;...
    (5*4+3)*tw A;...
    (5*4+4)*tw A*epsilon;...
    (10*4+3)*tw A*epsilon;...
    (10*4+4)*tw 0;...
    (12*4+4)*tw 0];

     min_t = X(1,1);
     n_table = length(X(:,1) );
     max_t = X(n_table,1);
     t_val = max( min_t, min( t1, max_t) );

     alpha = interp1(X(:,1), X(:,2), t_val); % Linear interpolation


end