function alpha = FTreat(t,dt,Tf) % a is the psi function

t1 = mod(t,round((1/dt)*(Tf/12))); % annual cycle
tw = (1/dt)/52;% one week equivalent

X = [1 1;...
    (7*4+2)*tw 1;...
    (8*4+2)*tw 0.66;...
    (9*4+3)*tw 0.57;...
    (10*4+3)*tw 0.35;...
    (11*4+3)*tw 0.1;...
    (12*4+4)*tw 0];

     min_t = X(1,1);
     n_table = length(X(:,1) );
     max_t = X(n_table,1);
     t_val = max( min_t, min( t1, max_t) );

     alpha = interp1(X(:,1), X(:,2), t_val); % Linear interpolation
end