function alpha = Fdeath(t,dt,Tf) % a is the psi function

t1 = mod(t,round((1/dt)*(Tf/12))); % annual cycle
tw = (1/dt)/52;% one week equivalent

X = [1 1;...
    (3*4+1)*tw 1;...
    (4*4+1)*tw 3;...
    (5*4+1)*tw 4;...
    (8*4+2)*tw 4;...
    (8*4+3)*tw 5;...
    (10*4+3)*tw 5;...
    (11*4+4)*tw 10;...
    (12*4+4)*tw 2*365];

     min_t = X(1,1);
     n_table = length(X(:,1) );
     max_t = X(n_table,1);
     t_val = max( min_t, min( t1, max_t) );

     alpha = interp1(X(:,1), X(:,2), t_val); % Linear interpolation
end